• Welcome to Simple Machines Community Forum. Please login or sign up.
November 28, 2021, 10:58:46 AM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


2.0.15 / Stillgelegtes Forum -> Datenbankfehler!?

Started by phunkybeam, January 30, 2021, 02:22:59 PM

Previous topic - Next topic

phunkybeam

Hallo zusammen,

ich habe vor einigen Jahren ein Forum mangels Zeit, Moderatoren und Spam stillgelegt, es konnte also nur noch gelesen werden.
Inzwischen kann man aber noch nicht einmal mehr lesen, da es einen Dantenbankfehler gibt!?
Klingt jetzt erstmal dubios, aber ich gehe davon aus das es mit dem PHP Versionswechsel zusammenhängt.

Ich kann auf dem Server zwischen PHP 7.1 bis 7.3 hin und her schalten, allerdings ist auch mit 7.1 nichts zu machen, ich kann mich nicht einloggen.
Da ich auch die Möglichkeit habe zumindest die Backups (Verzeichnis + DB) der vergangenen 2 Tage einzuspielen, habe ich nun schon folgende probiert:

-  repair-settings.php - Lässt sich aufrufen und ändern, aber kein Erfolg.
-  fix-packages.php - Scheitert an dem Login
-  sminfo.php - Scheitert am Login
-  status.php - Scheitert am Login

Somit dachte ich könnte man das Problem gegeben falls mit einem Upgrade auf 2.0.17 beheben, lustigerweise nimmt das Upgrade-Skript die Login Daten an.
Allerdings wird der durchlauf wie im Bild zu sehen abgebrochen  :-\

Soweit ich das in der DB sehen kann, sind alle Daten noch vorhanden und sehen ganz okay aus. Von einem vergangenem Update sind offensichtlich noch "backup_" Tabellen vorhanden.
Auch diese habe ich probehalber mal entfernt aber auch das bring keinen Veränderung.

Ist so ein Problem im Zuge der PHP Versionen Umstellungen bekannt und gibt es eine Möglichkeit das Forum wiederzubeleben?
Alles was ich dazu so gesehen habe läuft auf eine Fix hinaus, für welchen man sich zumindest einloggen müsste!?

Ideen? 

m4z


  • Welche SMF-Version war installiert, als das Forum noch funktionierte? 2.0.15?
  • Welche PHP-Version war damals installiert? (PHP7 wird erst seit 2.0.14 unterstützt; PHP 7.2+ wird erst seit 2.0.16 unterstützt)
  • Wurde die PHP-Version kürzlich aktualisiert (von welcher Version auf welche Version)? Falls ja: Lief das Forum danach?
  • Welche Datenbank verwendest du, in welcher Version?
  • Hast du Zugriff auf die Webserver-Logs? Welche Fehler werden dort angezeigt?
  • Verwendet das Forum UTF8? Falls ja: Sind alle Tabellen auf UTF8 konvertiert?
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Advertisement: